clear all
set mem 100m
set more off

//Base sheet
insheet using "H:\Dover\AllData.txt", tab clear
gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0 
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327
gen gddcsq = gddc^2
gen precipcsq = precipc^2
save "H:\Dover\AllDataCornCC.dta",replace

// 0% climate change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+50
replace gddc=gddc*1
replace precipc=precipc*1
replace gddcsq=gddc^2
replace precipcsq=precipc^2
save "H:\Dover\AllDataCornNoBoth.dta",replace

// 10% climate change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+50
replace gddc=gddc*1.1
replace precipc=precipc*1.1
replace gddcsq=gddc^2
replace precipcsq=precipc^2
save "H:\Dover\AllDataCornTenBoth.dta",replace

// 20% climate change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+50
replace gddc=gddc*1.2
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
save "H:\Dover\AllDataCornTwentyBoth.dta",replace

// 10% GDD change, 20% Preip change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+50
replace gddc=gddc*1.1
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
save "H:\Dover\AllDataCornTenTwenty.dta",replace

// 20% GDD change, 10% Precip change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+50
replace gddc=gddc*1.2
replace precipc=precipc*1.1
replace gddcsq = gddc^2
replace precipcsq = precipc^2
save "H:\Dover\AllDataCornTwentyTen.dta",replace

//Technology slowdown
// 0% climate change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+25
replace gddc=gddc*1
replace precipc=precipc*1
replace gddcsq=gddc^2
replace precipcsq=precipc^2
save "H:\Dover\AllDataCornNoBothTech.dta",replace

// 10% climate change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+25
replace gddc=gddc*1.1
replace precipc=precipc*1.1
replace gddcsq=gddc^2
replace precipcsq=precipc^2
save "H:\Dover\AllDataCornTenBothTech.dta",replace

// 20% climate change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+25
replace gddc=gddc*1.2
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
save "H:\Dover\AllDataCornTwentyBothTech.dta",replace

// 10% GDD change, 20% Preip change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+25
replace gddc=gddc*1.1
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
save "H:\Dover\AllDataCornTenTwentyTech.dta",replace

// 20% GDD change, 10% Precip change
use "H:\Dover\AllDataCornCC.dta", clear
replace year=year+25
replace gddc=gddc*1.2
replace precipc=precipc*1.1
replace gddcsq = gddc^2
replace precipcsq = precipc^2
save "H:\Dover\AllDataCornTwentyTenTech.dta",replace


//Marginal improvement in soil class: 1 to 2 with 20% climate change and limited technological growth
use "H:\Dover\AllDataCornCC.dta", clear
replace gddc=gddc*1.2
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
replace year = year+25
replace pharvc = 15.89516
replace pharvs = 16.42859
replace pharvw = 2.446534 
save "H:\Dover\AllDataCornOnetoTwowithCC.dta",replace 

//Marginal improvement in soil class: 2 to 3 with 20% climate change and limited technological growth
use "H:\Dover\AllDataCornCC.dta", clear
replace gddc=gddc*1.2
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
replace year = year+25
replace pharvc = 22.26787
replace pharvs = 23.57396
replace pharvw = 4.075195  
save "H:\Dover\AllDataCornTwotoThreewithCC.dta",replace 

//Marginal improvement in soil class: 3 to 4 with 20% climate change and limited technological growth
use "H:\Dover\AllDataCornCC.dta", clear
replace gddc=gddc*1.2
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
replace year = year+25
replace pharvc = 26.40571
replace pharvs = 27.13556
replace pharvw = 4.777212
save "H:\Dover\AllDataCornThreetoFourwithCC.dta",replace 

//Marginal improvement in soil class: 4 to 5 with 20% climate change and limited technological growth
use "H:\Dover\AllDataCornCC.dta", clear
replace gddc=gddc*1.2
replace precipc=precipc*1.2
replace gddcsq = gddc^2
replace precipcsq = precipc^2
replace year = year+25
replace pharvc = 33.65019
replace pharvs = 34.52617
replace pharvw = 3.735315
save "H:\Dover\AllDataCornFourtoFivewithCC.dta",replace 


//First soil class --> 2.784737877
use "H:\Dover\AllDataCorn.dta", clear
xtset fips year
xtreg yc year pharvc pharvs pharvw gddc gddcsq precipc precipcsq if badsoildata < 1 & pharvc > 0 & year < 2009  & soilone > 0, fe

use "H:\Dover\AllDataCornNoBoth.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenBoth.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyBoth.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenTwenty.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyTen.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataCornNoBothTech.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenBothTech.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyBothTech.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenTwentyTech.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyTenTech.dta", clear
predict sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0   
summarize sonecornfut if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2024 & year < 2034


//Second soil class --> 3.217657367
use "H:\Dover\AllDataCorn.dta", clear
xtset fips year
xtreg yc year pharvc pharvs pharvw gddc gddcsq precipc precipcsq if badsoildata < 1 & pharvc > 0 & year < 2009 & soiltwo > 0, fe

use "H:\Dover\AllDataCornNoBoth.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenBoth.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyBoth.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenTwenty.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyTen.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataCornNoBothTech.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenBothTech.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyBothTech.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenTwentyTech.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyTenTech.dta", clear
predict stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0   
summarize stwocornfut if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataCornOnetoTwowithCC.dta", clear
predict soneimp if badsoildata < 1 & pharvc > 0 & soilone > 0  
summarize if badsoildata < 1 & pharvc > 0 & soilone > 0 & year > 2024 & year < 2034


//Third soil class --> 3.4368067
use "H:\Dover\AllDataCorn.dta", clear
xtset fips year
xtreg yc year pharvc pharvs pharvw gddc gddcsq precipc precipcsq if badsoildata < 1 & pharvc > 0 & year < 2009 & soilthree > 0, fe

use "H:\Dover\AllDataCornNoBoth.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenBoth.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyBoth.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenTwenty.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyTen.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataCornNoBothTech.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenBothTech.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyBothTech.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenTwentyTech.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyTenTech.dta", clear
predict sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0   
summarize sthreecornfut if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataCornTwotoThreewithCC.dta", clear
predict stwoimp if badsoildata < 1 & pharvc > 0 & soiltwo > 0  
summarize if badsoildata < 1 & pharvc > 0 & soiltwo > 0 & year > 2024 & year < 2034


//Fourth soil class --> 3.680284327
use "H:\Dover\AllDataCorn.dta", clear
xtset fips year
xtreg yc year pharvc pharvs pharvw gddc gddcsq precipc precipcsq if badsoildata < 1 & pharvc > 0 & year < 2009 & soilfour > 0, fe

use "H:\Dover\AllDataCornNoBoth.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenBoth.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyBoth.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenTwenty.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyTen.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataCornNoBothTech.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenBothTech.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyBothTech.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenTwentyTech.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyTenTech.dta", clear
predict sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0   
summarize sfourcornfut if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataCornThreetoFourwithCC.dta", clear
predict sthreeimp if badsoildata < 1 & pharvc > 0 & soilthree > 0  
summarize if badsoildata < 1 & pharvc > 0 & soilthree > 0 & year > 2024 & year < 2034


//Fifth soil class --> 3.915053062
use "H:\Dover\AllDataCorn.dta", clear
xtset fips year
xtreg yc year pharvc pharvs pharvw gddc gddcsq precipc precipcsq if badsoildata < 1 & pharvc > 0 & year < 2009 & soilfive > 0, fe


use "H:\Dover\AllDataCornNoBoth.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenBoth.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyBoth.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTenTwenty.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataCornTwentyTen.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataCornNoBothTech.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenBothTech.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyBothTech.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTenTwentyTech.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataCornTwentyTenTech.dta", clear
predict sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0   
summarize sfivecornfut if badsoildata < 1 & pharvc > 0 & soilfive > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataCornFourtoFivewithCC.dta", clear
predict sfourimp if badsoildata < 1 & pharvc > 0 & soilfour > 0  
summarize if badsoildata < 1 & pharvc > 0 & soilfour > 0 & year > 2024 & year < 2034
