clear all
set mem 100m
set more off


insheet using "H:\Dover\AllData.txt", tab clear

gen gddssq = gdds^2
gen precipssq = precips^2
gen soybeanarea = cntya*(pharvs/100)

gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0 
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327

save "H:\Dover\AllDataSoybeans.dta",replace 

//Improved soil use in soil class one
insheet using "H:\Dover\AllData.txt", tab clear

gen gddssq = gdds^2
gen precipssq = precips^2

gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327

replace pharvc = 33.65019
replace pharvs = 34.52617
replace pharvw = 3.735315

save "H:\Dover\AllDataSoybeansOnetoFive.dta",replace 

//Marginal improvement in soil class: 1 to 2
insheet using "H:\Dover\AllData.txt", tab clear

gen gddssq = gdds^2
gen precipssq = precips^2

gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0 
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327

replace pharvc = 15.89516
replace pharvs = 16.42859
replace pharvw = 2.446534 

save "H:\Dover\AllDataSoybeansOnetoTwo.dta",replace 

//Marginal improvement in soil class: 2 to 3
insheet using "H:\Dover\AllData.txt", tab clear

gen gddssq = gdds^2
gen precipssq = precips^2

gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0 
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327
 
replace pharvc = 22.26787
replace pharvs = 23.57396
replace pharvw = 4.075195  

save "H:\Dover\AllDataSoybeansTwotoThree.dta",replace 

//Marginal improvement in soil class: 3 to 4
insheet using "H:\Dover\AllData.txt", tab clear

gen gddssq = gdds^2
gen precipssq = precips^2

gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0 
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327

replace pharvc = 26.40571
replace pharvs = 27.13556
replace pharvw = 4.777212

save "H:\Dover\AllDataSoybeansThreetoFour.dta",replace 

//Marginal improvement in soil class: 4 to 5
insheet using "H:\Dover\AllData.txt", tab clear

gen gddssq = gdds^2
gen precipssq = precips^2

gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0 
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327

replace pharvc = 33.65019
replace pharvs = 34.52617
replace pharvw = 3.735315

save "H:\Dover\AllDataSoybeansFourtoFive.dta",replace 


//First soil class --> 2.784737877
use "H:\Dover\AllDataSoybeans.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009  & soilone > 0, fe
predict soilonesoybean if e(sample) & year > 1999 & year < 2009
summarize if e(sample) & year > 1999 & year < 2009
xtsum gdds precips if year > 1999 & year < 2009 & pharvs > 0  & soilone > 0 & badsoildata < 1
xtsum gdds precips if year > 1949 & year < 1959 & pharvs > 0  & soilone > 0 & badsoildata < 1


//Second soil class --> 3.217657367
use "H:\Dover\AllDataSoybeans.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soiltwo > 0, fe
predict soiltwosoybean if e(sample) & year > 1999 & year < 2009
summarize if e(sample) & year > 1999 & year < 2009 
xtsum gdds precips if year > 1999 & year < 2009 & pharvs > 0  & soiltwo > 0 & badsoildata < 1
xtsum gdds precips if year > 1949 & year < 1959 & pharvs > 0  & soiltwo > 0 & badsoildata < 1

use "H:\Dover\AllDataSoybeansOnetoTwo.dta", clear
predict soiloneimprove if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 1999 & year < 2009


//Third soil class --> 3.4368067
use "H:\Dover\AllDataSoybeans.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soilthree > 0, fe
predict soilthreesoybean if e(sample) & year > 1999 & year < 2009
summarize if e(sample) & year > 1999 & year < 2009 
xtsum gdds precips if year > 1999 & year < 2009 & pharvs > 0  & soilthree > 0 & badsoildata < 1
xtsum gdds precips if year > 1949 & year < 1959 & pharvs > 0  & soilthree > 0 & badsoildata < 1

use "H:\Dover\AllDataSoybeansTwotoThree.dta", clear
predict soiltwoimprove if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 1999 & year < 2009


//Fourth soil class --> 3.680284327
use "H:\Dover\AllDataSoybeans.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soilfour > 0, fe
predict soilfoursoybean if e(sample) & year > 1999 & year < 2009
summarize if e(sample) & year > 1999 & year < 2009 
xtsum gdds precips if year > 1999 & year < 2009 & pharvs > 0  & soilfour > 0 & badsoildata < 1
xtsum gdds precips if year > 1949 & year < 1959 & pharvs > 0  & soilfour > 0 & badsoildata < 1

use "H:\Dover\AllDataSoybeansThreetoFour.dta", clear
predict soilthreeimprove if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 1999 & year < 2009


//Fifth soil class --> 3.915053062
use "H:\Dover\AllDataSoybeans.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soilfive > 0, fe
predict soilfivesoybean if e(sample) & year > 1999 & year < 2009
summarize if e(sample) & year > 1999 & year < 2009 
xtsum gdds precips if year > 1999 & year < 2009 & pharvs > 0  & soilfive > 0 & badsoildata < 1
xtsum gdds precips if year > 1949 & year < 1959 & pharvs > 0  & soilfive > 0 & badsoildata < 1

use "H:\Dover\AllDataSoybeansFourtoFive.dta", clear
predict soilfourimprove if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 1999 & year < 2009


use "H:\Dover\AllDataSoybeansOnetoFive.dta", clear
predict soilonetarget if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 1999 & year < 2009

