clear all
set mem 100m
set more off

insheet using "H:\Dover\AllData.txt", tab clear

gen soilone = 0 
replace soilone = 1 if soil <= 2.784737877
gen soiltwo = 0 
replace soiltwo = 1 if soil > 2.784737877 & soil <= 3.217657367
gen soilthree = 0 
replace soilthree = 1 if soil > 3.217657367 & soil <= 3.4368067
gen soilfour = 0 
replace soilfour = 1 if soil > 3.4368067 & soil <= 3.680284327
gen soilfive = 0 
replace soilfive = 1 if soil > 3.680284327
gen gddssq = gdds^2
gen precipssq = precips^2
save "H:\Dover\AllDataSoybeansCC.dta",replace

// 0% climate change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+50
replace gdds=gdds*1
replace precips=precips*1
replace gddssq=gdds^2
replace precipssq=precips^2
save "H:\Dover\AllDataSoybeansNoBoth.dta",replace

// 10% climate change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+50
replace gdds=gdds*1.1
replace precips=precips*1.1
replace gddssq=gdds^2
replace precipssq=precips^2
save "H:\Dover\AllDataSoybeansTenBoth.dta",replace

// 20% climate change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+50
replace gdds=gdds*1.2
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
save "H:\Dover\AllDataSoybeansTwentyBoth.dta",replace

// 10% GDD change, 20% Preip change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+50
replace gdds=gdds*1.1
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
save "H:\Dover\AllDataSoybeansTenTwenty.dta",replace

// 20% GDD change, 10% Precip change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+50
replace gdds=gdds*1.2
replace precips=precips*1.1
replace gddssq = gdds^2
replace precipssq = precips^2
save "H:\Dover\AllDataSoybeansTwentyTen.dta",replace

//Technology slowdown
// 0% climate change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+25
replace gdds=gdds*1
replace precips=precips*1
replace gddssq=gdds^2
replace precipssq=precips^2
save "H:\Dover\AllDataSoybeansNoBothTech.dta",replace

// 10% climate change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+25
replace gdds=gdds*1.1
replace precips=precips*1.1
replace gddssq=gdds^2
replace precipssq=precips^2
save "H:\Dover\AllDataSoybeansTenBothTech.dta",replace

// 20% climate change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+25
replace gdds=gdds*1.2
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
save "H:\Dover\AllDataSoybeansTwentyBothTech.dta",replace

// 10% GDD change, 20% Preip change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+25
replace gdds=gdds*1.1
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
save "H:\Dover\AllDataSoybeansTenTwentyTech.dta",replace

// 20% GDD change, 10% Precip change
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace year=year+25
replace gdds=gdds*1.2
replace precips=precips*1.1
replace gddssq = gdds^2
replace precipssq = precips^2
save "H:\Dover\AllDataSoybeansTwentyTenTech.dta",replace


//Marginal improvement in soil class: 1 to 2 with 20% climate change and limited technological growth
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace gdds=gdds*1.2
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
replace year = year+25
replace pharvc = 15.89516
replace pharvs = 16.42859
replace pharvw = 2.446534 
save "H:\Dover\AllDataSoybeansOnetoTwowithCC.dta",replace 

//Marginal improvement in soil class: 2 to 3 with 20% climate change and limited technological growth
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace gdds=gdds*1.2
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
replace year = year+25
replace pharvc = 22.26787
replace pharvs = 23.57396
replace pharvw = 4.075195  
save "H:\Dover\AllDataSoybeansTwotoThreewithCC.dta",replace 

//Marginal improvement in soil class: 3 to 4 with 20% climate change and limited technological growth
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace gdds=gdds*1.2
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
replace year = year+25
replace pharvc = 26.40571
replace pharvs = 27.13556
replace pharvw = 4.777212
save "H:\Dover\AllDataSoybeansThreetoFourwithCC.dta",replace 

//Marginal improvement in soil class: 4 to 5 with 20% climate change and limited technological growth
use "H:\Dover\AllDataSoybeansCC.dta", clear
replace gdds=gdds*1.2
replace precips=precips*1.2
replace gddssq = gdds^2
replace precipssq = precips^2
replace year = year+25
replace pharvc = 33.65019
replace pharvs = 34.52617
replace pharvw = 3.735315
save "H:\Dover\AllDataSoybeansFourtoFivewithCC.dta",replace 


//First soil class --> 2.784737877
use "H:\Dover\AllDataSoybeansCC.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soilone > 0, fe

use "H:\Dover\AllDataSoybeansNoBoth.dta", clear
predict soiloneten if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soiloneten if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenBoth.dta", clear
predict soiloneten if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soiloneten if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyBoth.dta", clear
predict soilonetwenty if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetwenty if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenTwenty.dta", clear
predict soilonetentwenty if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetentwenty if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyTen.dta", clear
predict soilonetwentyten if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetwentyten if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataSoybeansNoBothTech.dta", clear
predict soilonetentech if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetentech if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenBothTech.dta", clear
predict soilonetentech if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetentech if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyBothTech.dta", clear
predict soilonetwentytech if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetwentytech if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenTwentyTech.dta", clear
predict soilonetentwentytech if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetentwentytech if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyTenTech.dta", clear
predict soilonetwentytentech if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soilonetwentytentech if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2024 & year < 2034

//Second soil class --> 3.217657367
use "H:\Dover\AllDataSoybeansCC.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soiltwo > 0, fe

use "H:\Dover\AllDataSoybeansNoBoth.dta", clear
predict soiltwoten if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwoten if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenBoth.dta", clear
predict soiltwoten if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwoten if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyBoth.dta", clear
predict soiltwotwenty if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotwenty if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenTwenty.dta", clear
predict soiltwotentwenty if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotentwenty if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyTen.dta", clear
predict soiltwotwentyten if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotwentyten if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataSoybeansNoBothTech.dta", clear
predict soiltwotentech if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotentech if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenBothTech.dta", clear
predict soiltwotentech if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotentech if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyBothTech.dta", clear
predict soiltwotwentytech if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotwentytech if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenTwentyTech.dta", clear
predict soiltwotentwentytech if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotentwentytech if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyTenTech.dta", clear
predict soiltwotwentytentech if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize soiltwotwentytentech if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataSoybeansOnetoTwowithCC.dta", clear
predict soneimp if badsoildata < 1 & pharvs > 0 & soilone > 0  
summarize soneimp if badsoildata < 1 & pharvs > 0 & soilone > 0 & year > 2024 & year < 2034


//Third soil class --> 3.4368067
use "H:\Dover\AllDataSoybeansCC.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soilthree > 0, fe

use "H:\Dover\AllDataSoybeansNoBoth.dta", clear
predict soilthreeten if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreeten if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenBoth.dta", clear
predict soilthreeten if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreeten if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyBoth.dta", clear
predict soilthreetwenty if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetwenty if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenTwenty.dta", clear
predict soilthreetentwenty if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetentwenty if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyTen.dta", clear
predict soilthreetwentyten if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetwentyten if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataSoybeansNoBothTech.dta", clear
predict soilthreetentech if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetentech if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenBothTech.dta", clear
predict soilthreetentech if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetentech if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyBothTech.dta", clear
predict soilthreetwentytech if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetwentytech if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenTwentyTech.dta", clear
predict soilthreetentwentytech if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetentwentytech if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyTenTech.dta", clear
predict soilthreetwentytentech if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize soilthreetwentytentech if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataSoybeansTwotoThreewithCC.dta", clear
predict stwoimp if badsoildata < 1 & pharvs > 0 & soiltwo > 0  
summarize stwoimp if badsoildata < 1 & pharvs > 0 & soiltwo > 0 & year > 2024 & year < 2034

//Fourth soil class --> 3.680284327
use "H:\Dover\AllDataSoybeansCC.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soilfour > 0, fe

use "H:\Dover\AllDataSoybeansNoBoth.dta", clear
predict soilfourten if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourten if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenBoth.dta", clear
predict soilfourten if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourten if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyBoth.dta", clear
predict soilfourtwenty if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtwenty if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenTwenty.dta", clear
predict soilfourtentwenty if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtentwenty if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyTen.dta", clear
predict soilfourtwentyten if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtwentyten if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataSoybeansNoBothTech.dta", clear
predict soilfourtentech if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtentech if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenBothTech.dta", clear
predict soilfourtentech if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtentech if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyBothTech.dta", clear
predict soilfourtwentytech if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtwentytech if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenTwentyTech.dta", clear
predict soilfourtentwentytech if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtentwentytech if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyTenTech.dta", clear
predict soilfourtwentytentech if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize soilfourtwentytentech if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataSoybeansThreetoFourwithCC.dta", clear
predict sthreeimp if badsoildata < 1 & pharvs > 0 & soilthree > 0  
summarize sthreeimp if badsoildata < 1 & pharvs > 0 & soilthree > 0 & year > 2024 & year < 2034

//Fifth soil class --> 3.915053062
use "H:\Dover\AllDataSoybeansCC.dta", clear
xtset fips year
xtreg ys year pharvc pharvs pharvw gdds gddssq precips precipssq if badsoildata < 1 & pharvs > 0 & year < 2009 & soilfive > 0, fe

use "H:\Dover\AllDataSoybeansNoBoth.dta", clear
predict soilfiveten if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfiveten if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenBoth.dta", clear
predict soilfiveten if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfiveten if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyBoth.dta", clear
predict soilfivetwenty if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetwenty if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTenTwenty.dta", clear
predict soilfivetentwenty if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetentwenty if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2049 & year < 2059
use "H:\Dover\AllDataSoybeansTwentyTen.dta", clear
predict soilfivetwentyten if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetwentyten if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2049 & year < 2059

use "H:\Dover\AllDataSoybeansNoBothTech.dta", clear
predict soilfivetentech if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetentech if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenBothTech.dta", clear
predict soilfivetentech if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetentech if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyBothTech.dta", clear
predict soilfivetwentytech if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetwentytech if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTenTwentyTech.dta", clear
predict soilfivetentwentytech if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetentwentytech if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2024 & year < 2034
use "H:\Dover\AllDataSoybeansTwentyTenTech.dta", clear
predict soilfivetwentytentech if badsoildata < 1 & pharvs > 0 & soilfive > 0  
summarize soilfivetwentytentech if badsoildata < 1 & pharvs > 0 & soilfive > 0 & year > 2024 & year < 2034

use "H:\Dover\AllDataSoybeansFourtoFivewithCC.dta", clear
predict sfourimp if badsoildata < 1 & pharvs > 0 & soilfour > 0  
summarize sfourimp if badsoildata < 1 & pharvs > 0 & soilfour > 0 & year > 2024 & year < 2034
